Bug 591482 - Review Request: forge-parent - Sonatype Forge Parent Pom
Review Request: forge-parent - Sonatype Forge Parent Pom
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-12 07:34 EDT by Weinan Li
Modified: 2010-05-19 02:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-19 02:31:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
akurtako: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Weinan Li 2010-05-12 07:34:43 EDT
Spec URL: http://www.box.net/shared/kzjq1x9nog
SRPM URL: http://www.box.net/shared/f931zxq61e

Description: Sonatype Forge is an open-source community dedicated to the creation of the next-generation of development tools and technologies.


Note: this needs to be built in the dist-f14-maven221 koji tag. Here is a
successful koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2182422
Comment 1 Alexander Kurtakov 2010-05-13 03:13:21 EDT
I'm taking this one
Comment 2 Peter Lemenkov 2010-05-13 04:07:31 EDT
(In reply to comment #1)
> I'm taking this one    

Please, take in account that (in order to Fedora guidelines) you must sponsor Weinan too. I mean, that only sponsor is allowed to make formal review of newly sponsored Fedora member and vice versa.
Comment 3 Alexander Kurtakov 2010-05-13 04:14:14 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > I'm taking this one    
> 
> Please, take in account that (in order to Fedora guidelines) you must sponsor
> Weinan too. I mean, that only sponsor is allowed to make formal review of newly
> sponsored Fedora member and vice versa.    

Thanks Peter,
I'm aware of that and I'm a sponsor.
Comment 4 Weinan Li 2010-05-13 06:04:49 EDT
After fixed some problem:

Spec URL: http://www.box.net/shared/kzjq1x9nog
SRPM URL: http://www.box.net/shared/6t4kirgqrz

Description: Sonatype Forge is an open-source community dedicated to the
creation of the next-generation of development tools and technologies.


Note: this needs to be built in the dist-f14-maven221 koji tag. Here is a
successful koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2184868
Comment 5 Alexander Kurtakov 2010-05-13 06:57:34 EDT
Review:

OK: rpmlint must be run on every package. OUTPUT:

forge-parent.noarch: W: spelling-error Summary(en_US) Sonatype -> Sonatina, Sonata, Resonate
forge-parent.noarch: W: spelling-error %description -l en_US Sonatype -> Sonatina, Sonata, Resonate
Not a problem.

forge-parent.noarch: W: no-documentation
Nothing suitable as a doc.

forge-parent.noarch: W: non-conffile-in-etc /etc/maven/fragments/forge-parent
Not a problem. 

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption. 
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines .
OK: The License field in the package spec file must match the actual license. 
OK: The spec file must be written in American English.
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as
provided in the spec URL.
OK: The package MUST successfully compile and build into binary rpms on at
least one primary architecture.
OK: All build dependencies must be listed in BuildRequires, except for any that
are listed in the exceptions section of the Packaging Guidelines ; inclusion of
those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. 
OK: A Fedora package must not list a file more than once in the spec file's
%files listings. 
OK: Permissions on files must be set properly. 
FIXIT: Each package must consistently use macros.
You have both %{_rm} and rm.

OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. 
OK: If a package includes something as %doc, it must not affect the runtime of
the application. 
OK: Packages must not own files or directories already owned by other
packages. 
OK: All filenames in rpm packages must be valid UTF-8.


There should be a Requires: jpackage-utils because it installs files in a directory owned by jpackage-utils
Comment 6 Weinan Li 2010-05-14 02:50:47 EDT
After the above two problems saved:

Spec URL: http://www.box.net/shared/kzjq1x9nog
SRPM URL: http://www.box.net/shared/e7e0sg501t

Description: Sonatype Forge is an open-source community dedicated to the
creation of the next-generation of development tools and technologies.


Note: this needs to be built in the dist-f14-maven221 koji tag. Here is a
successful koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2186952
Comment 7 Alexander Kurtakov 2010-05-14 04:18:51 EDT
Thanks,
This package is APPROVED.
Comment 8 Alexander Kurtakov 2010-05-14 04:22:29 EDT
Lifting FE-NEEDSPONSOR
Comment 9 Weinan Li 2010-05-14 05:16:13 EDT
New Package CVS Request
=======================
Package Name: forge-parent
Short Description: Sonatype Forge Parent Pom
Owners: weli
Branches: 
InitialCC: akurtakov
Comment 10 Dennis Gilmore 2010-05-18 14:36:31 EDT
CVS Done

Note You need to log in before you can comment on or make changes to this bug.